KeyTransRecipientInfo (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.cms

## Class KeyTransRecipientInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.KeyTransRecipientInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class KeyTransRecipientInfo
      extends ASN1Object

  RFC 5652: Content encryption key delivery mechanisms.

       KeyTransRecipientInfo ::= SEQUENCE {
           version CMSVersion,  -- always set to 0 or 2
           rid RecipientIdentifier,
           keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
           encryptedKey EncryptedKey
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyTransRecipientInfo(ASN1Sequence seq)` Deprecated. use getInstance()
    `KeyTransRecipientInfo(RecipientIdentifier rid, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getEncryptedKey()`
    `static KeyTransRecipientInfo` | `getInstance(java.lang.Object obj)` Return a KeyTransRecipientInfo object from the given object.
    `AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
    `RecipientIdentifier` | `getRecipientIdentifier()`
    `ASN1Integer` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyTransRecipientInfo

          public KeyTransRecipientInfo(RecipientIdentifier rid,
                               AlgorithmIdentifier keyEncryptionAlgorithm,
                               ASN1OctetString encryptedKey)

    - #### KeyTransRecipientInfo

          public KeyTransRecipientInfo(ASN1Sequence seq)

      Deprecated. use getInstance()

  - ### Method Detail

    - #### getInstance

          public static KeyTransRecipientInfo getInstance(java.lang.Object obj)

      Return a KeyTransRecipientInfo object from the given object.

      Accepted inputs:

      - null → null
      - `KeyTransRecipientInfo` object
      - `ASN1Sequence` input formats with KeyTransRecipientInfo structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getRecipientIdentifier

          public RecipientIdentifier getRecipientIdentifier()

    - #### getKeyEncryptionAlgorithm

          public AlgorithmIdentifier getKeyEncryptionAlgorithm()

    - #### getEncryptedKey

          public ASN1OctetString getEncryptedKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.